<mat-sidenav-container>
	<mat-sidenav
		class="mat-elevation-z5"
		#sidenav
		[mode]="layoutService.isXSmall() ? 'over' : 'side'"
		[fixedInViewport]="layoutService.isXSmall()"
		[opened]="!layoutService.isXSmall()"
	>
		<app-sidenav-header></app-sidenav-header>
		<mat-nav-list>
			<mat-list-item
				*ngFor="let group of groupCacheService.groupsSubject | async"
				routerLink="group/{{ group.id }}"
				routerLinkActive="active"
			>
				<app-avatar mat-list-icon [group]="group"></app-avatar>

				<span mat-line>{{ group.partnerProfile?.displaynameDecrypted || group.nameDecrypted }}</span>
				<span mat-line *ngIf="group.latestMessage?.membership?.profile?.displaynameDecrypted">
					{{ group.latestMessage?.membership?.profile?.displaynameDecrypted }}: {{ group.latestMessage?.textDecrypted || '📎' }}
				</span>

				<div class="info" *ngIf="callService.calls.has(group.id)">
					<mat-icon>ring_volume</mat-icon>
				</div>
				<div *ngIf="group.unreadMessages > 0" class="bubble">
					<span>{{ group.unreadMessages }}</span>
				</div>
			</mat-list-item>
		</mat-nav-list>
	</mat-sidenav>
	<router-outlet></router-outlet>
</mat-sidenav-container>
